package com.xinelu.familydoctor.mapper;

import com.xinelu.familydoctor.entity.EvaluateQuestion;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author gaoyu
* @description 针对表【evaluate_question(自评问题表)】的数据库操作Mapper
* @createDate 2023-10-11 09:51:20
* @Entity com.xinelu.familydoctor.entity.EvaluateQuestion
*/
public interface EvaluateQuestionMapper {

    List<EvaluateQuestion> getQuestions(Long surveyId);

    int insert(EvaluateQuestion record);

    int update(EvaluateQuestion record);

    /**
     * 清空问卷ID
     * @param surveyId 问卷ID
     * @return {@link int}
     * @author gaoyu
     * @date 2023-10-11 17:33
    */
    int clearSurveyId(@Param("surveyId") Long surveyId);

}
